# std::bad_typeid Class Reference

Inheritance diagram for std::bad_typeid:

List of all members.

## Detailed Description

If you use a NULL pointer in a `typeid` expression, this is thrown.

Definition at line 152 of file typeinfo.

## Public Member Functions

- bad_typeid () throw ()
- virtual const char * what () const throw ()

## Member Function Documentation

virtual const char* std::bad_typeid::what | ( |  | ) | const throw ()`[virtual]`

Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::exception.

The documentation for this class was generated from the following file:

- typeinfo